<template>
  <v-app>
    <v-main
      :class="
        desktop
          ? 'tway-background-curves-svg'
          : 'tway-background-curves-svg-mobile-nologo'
      "
    >
      <v-container
        class="complete-container"
        :style="$vuetify.breakpoint.md ? 'margin-top: 100px;' : ''"
        fill-height
      >
        <v-row class="pa-0 ma-0" width="100%" justify="center">
          <v-img
            v-if="mobile"
            class="my-5"
            :src="require('@/assets/img/byline.svg')"
            max-width="200px"
          />
        </v-row>
        <v-card
          outlined
          max-width="650px"
          width="100%"
          :class="'complete-card mb-5 ' + (mobile ? '' : 'mt-10')"
        >
          <grid>
            <template v-slot:alone>
              <v-row class="ma-0 pa-0">
                <v-col cols="8" class="pr-5">
                  <div
                    v-if="company.type === 'SPECIALIST'"
                    class="text-tway-title"
                  >
                    <span class="text-capitalize">{{ currentUserName }}</span
                    >, tu perfil Especialista
                  </div>
                  <div v-if="company.type === 'CLIENT'" class="text-tway-title">
                    <span class="text-capitalize">{{ currentUserName }}</span
                    >, tu perfil Cliente
                  </div>
                  <div
                    v-if="company.type === 'CLIENT'"
                    class="profile-content-box roboto"
                  >
                    Este es el primer paso para acercarte a la Economía Digital
                    o Industria 4.0. Perfila tu negocio y recibe información
                    especializada sobre Transformación en tu industria.
                  </div>
                  <div
                    class="profile-content-box roboto"
                    v-if="company.type === 'SPECIALIST'"
                  >
                    Este es el primer paso para conectar con nuevos clientes y
                    promocionar tus productos y servicios de Transformación
                    Digital.
                  </div>
                </v-col>
                <v-col cols="4">
                  <v-row class="ma-0 pa-0" justify="center" align="center">
                    <v-img
                      v-if="company.type === 'CLIENT'"
                      :src="require('@/assets/img/perfilamiento.svg')"
                      max-width="80%"
                      contain
                    />

                    <v-img
                      v-if="company.type === 'SPECIALIST'"
                      :src="require('@/assets/img/perfilamiento-e.svg')"
                      max-width="80%"
                      contain
                    />
                  </v-row>
                </v-col>
              </v-row>
            </template>
          </grid>
        </v-card>
        <v-row class="pa-0 ma-0" style="width: 100%" justify="center">
          <v-card
            outlined
            max-width="650px"
            width="100%"
            :class="'complete-card mb-5 ' + (mobile ? '' : 'mb-10')"
          >
            <grid :class-alone="'pa-0'">
              <template v-if="company.id" v-slot:alone>
                <specialist-registration
                  v-if="company.type === 'SPECIALIST'"
                  :company-data="company"
                  @hide="hide"
                />
                <client-registration
                  v-else
                  :company-data="company"
                  @hide="hide"
                />
              </template>
            </grid>
          </v-card>
        </v-row>
      </v-container>
    </v-main>
  </v-app>
</template>
<style lang="scss" scoped>
.text-tway-title {
  font-family: Josefin Sans;
  font-style: normal;
  font-weight: normal;
  font-size: 22px;
  line-height: 30px;
}
</style>
<script>
import companyService from "@/services/companyService";
import currentUserService from "@/services/currentUserService";
import SpecialistRegistration from "@/components/profile-registration/SpecialistRegistration";
import ClientRegistration from "@/components/profile-registration/ClientRegistration";
import RowTwo from "@/components/grid/RowTwo.vue";

export default {
  components: {
    SpecialistRegistration,
    ClientRegistration,
    grid: RowTwo,
  },

  data() {
    return {
      currentUserName: "",
      company: {
        type: "",
      },
      hideImg: false,
    };
  },

  created() {
    this.getCurrentUserData();
    this.getCurrentCompany();
  },

  methods: {
    getCurrentUserData() {
      currentUserService
        .currentUserData()
        .then((data) => (this.currentUserName = data.firstName))
        .catch((err) => this.$log.error(err));
    },

    getCurrentCompany() {
      companyService
        .getCompanyProfile()
        .then((data) => {
          this.company = data;
          if (this.company.industrialSectors) {
            this.company.industrialSectors = this.company.industrialSectors.map(
              (item) => {
                return item.name;
              }
            );
          }
        })
        .catch((err) => this.$log.error(err));
    },
    hide(flag) {
      this.hideImg = flag;
    },
  },
  computed: {
    mobile() {
      return this.$vuetify.breakpoint.sm || this.$vuetify.breakpoint.xs;
    },
    desktop() {
      return (
        this.$vuetify.breakpoint.md ||
        this.$vuetify.breakpoint.lg ||
        this.$vuetify.breakpoint.xl
      );
    },
    desktop2() {
      return this.$vuetify.breakpoint.lg || this.$vuetify.breakpoint.xl;
    },
  },
};
</script>

<style lang="scss" scoped>
.profile-content-box {
  font-size: 18px;
  line-height: 24px;
  font-weight: 400;
}
.small-checkbox {
  margin-top: 0px;
  padding-top: 0px;
}

.small-checkbox > div > div {
  align-items: start;
}
.complete-container {
  display: flex;
  justify-content: center;
  flex-direction: row;
}

.text-title {
  font-family: Josefin Sans;
  font-style: normal;
  font-weight: normal;
  font-size: 18px;
  line-height: 32px;
}
</style>
